Index: code/trunk/src/modules/hover/HoverOrigin.h
===================================================================
--- code/trunk/src/modules/hover/HoverOrigin.h	(revision 11099)
+++ code/trunk/src/modules/hover/HoverOrigin.h	(revision 11493)
@@ -23,5 +23,5 @@
  *      Manuel Meier
  *   Co-authors:
- *      ...
+ *      Tomer Gidron
  *
  */
@@ -66,10 +66,86 @@
                 { return this->cellHeight_; }
 
+            inline void setWallThickness(int wallThickness)
+                { this->wallThickness_ = wallThickness; }
+            inline int getWallThickness() const
+                { return this->wallThickness_; }
+
+            //pickup template set and get for destroy hover pickup
+
+            inline void setPickupTemplate(std::string pickupTemplate)
+                { this->pickupTemplate_ = pickupTemplate; }
+            inline std::string getPickupTemplate() const
+                { return this->pickupTemplate_; }
+
+            inline void setPickupRepresentationTemplate(std::string pickupRepresenationaTemplate)
+                { this->pickupRepresentationTemplate_ = pickupRepresenationaTemplate; }
+            inline std::string getPickupRepresentationTemplate() const
+                { return this->pickupRepresentationTemplate_; }
+
+            //pickup template get and set for damage hover pickup
+
+            inline void setPickupTemplateSpeed(std::string pickupTemplateSpeed)
+                { this->pickupTemplateSpeed_ = pickupTemplateSpeed; }
+            inline std::string getPickupTemplateSpeed() const
+                { return this->pickupTemplateSpeed_; }
+
+            inline void setPickupRepresentationTemplateSpeed(std::string pickupRepresenationaTemplateSpeed)
+                { this->pickupRepresentationTemplateSpeed_ = pickupRepresenationaTemplateSpeed; }
+            inline std::string getPickupRepresentationTemplateSpeed() const
+                { return this->pickupRepresentationTemplateSpeed_; }
+
+
+            //pickup template get and set for shrink hover pickup
+
+            inline void setPickupTemplateShrink(std::string pickupTemplateShrink)
+                { this->pickupTemplateShrink_ = pickupTemplateShrink; }
+            inline std::string getPickupTemplateShrink() const
+                { return this->pickupTemplateShrink_; }
+
+            inline void setPickupRepresentationTemplateShrink(std::string pickupRepresenationaTemplateShrink)
+                { this->pickupRepresentationTemplateShrink_ = pickupRepresenationaTemplateShrink; }
+            inline std::string getPickupRepresentationTemplateShrink() const
+                { return this->pickupRepresentationTemplateShrink_; }
+
+            //get and set for obstacle template
+
+            inline void setObstacleTemplate(std::string obstacleTemplate)
+                { this->obstacleTemplate_ = obstacleTemplate; }
+            inline std::string getObstacleTemplate() const
+                { return this->obstacleTemplate_; }        
+
+            //get and set for ground template
+
+            inline void setGroundTemplate(std::string groundTemplate)
+                { this->groundTemplate_ = groundTemplate; }
+            inline std::string getGroundTemplate() const
+                { return this->groundTemplate_; }  
+
         private:
             void checkGametype();
+
        
             int numCells_;
             int cellSize_;
             int cellHeight_;
+            int wallThickness_;
+
+            // Tempaltes for the destroy hover pickup
+            std::string pickupTemplate_;
+            std::string pickupRepresentationTemplate_;
+
+            // Tempaltes for the damage hover pickup
+            std::string pickupTemplateSpeed_;
+            std::string pickupRepresentationTemplateSpeed_;
+
+            // Tempaltes for the shrink hover pickup
+            std::string pickupTemplateShrink_;
+            std::string pickupRepresentationTemplateShrink_;
+
+            //Template for crate obstacle
+            std::string obstacleTemplate_;
+
+            //Template for ground cell
+            std::string groundTemplate_;
     };
 }
